Jump to content

Developer assistance requested for OB 2.5.6.50793


Nightstorm
 Share

Recommended Posts

Hello,

 

It would appear that with the recent open beta releases after 2.5.6.49798 the Flaming Cliffs 3 avaionics that are used by many 3rd party mods are no longer accessible for some reason.

 

If you attempt to fly an aircraft that was using say the F15C.dll avionics you will not be able to enter the sim properly or at best you won't have the correct avionics. I would imagine that this impacts all FC3 type avionics.

 

We don't know if this was intentional or if this was accidental but it does render a lot of work done by the modding community useless for anything other than AI aircraft.

 

A lot of people enjoy using these mods and now our only option is to revert back to the 2.5.6.49798 release of OB or Stable.

 

We would greatly appreciate having this functionality restored.

 

Thank you,

Link to comment
Share on other sites

Or release a basic template* for single and twin engine planes that we can edit**...

 

*Without the SDK stuff included of course.

 

** we have no coders to write them, unless someone wants to learn..

General 3D modeling thread and reference sites

UK liveries for planes, ships and MODS.

The only way to make sense out of change is to plunge into it, move with it, and join the dance.

"Me, the 13th Duke of Wybourne, here on the ED forums at 3 'o' clock in the morning, with my reputation. Are they mad.."

Updates to my stuff are now going here

Link to comment
Share on other sites

Or release a basic template* for single and twin engine planes that we can edit**...

 

*Without the SDK stuff included of course.

 

** we have no coders to write them, unless someone wants to learn..

 

+1:thumbup: it would great to have some seater, even without full backseat system IMHO

Link to comment
Share on other sites

** we have no coders to write them, unless someone wants to learn..

 

 

well sorry to say this but that cant be EDs problem. If you want to make a propper mod, you will need coders and artists.

'controlling' the Ka50 feels like a discussion with the Autopilot and trim system about the flight direction.

Link to comment
Share on other sites

well sorry to say this but that cant be EDs problem. If you want to make a propper mod, you will need coders and artists.

 

This!

 

ED moving forward with their software development towards improving DCS constantly and consistently just means that modders have to keep up. If they can't or won't, that means that the mod is dead.

 

Not ED's circus, not ED's monkeys.

PC: Intel Core i7-7700K 4.2GHz | MSI GTX 1080 TI | ASUS Maximus IX Hero | 32GB DDR4 RAM | 512GB Samsung 850 PRO SSD | Win10 Pro 64bit

Gear: HP Reverb | JetPad FSE | MTX Sim Rig | VKB Gunfighter Pro Mk.III w/ MCG Ultimate (center) | VKB Gunfighter Mk.III w/ SCG-R Premium (side)

 

VKBNA_LOGO_SM.png

VKBcontrollers.com

Link to comment
Share on other sites

A new patch has been released VSN planes back to work, F22A is not any ideas people

 

I had to roll this patch back, C-130 I shot down with 4 x R-73s had no wings and despite that it landed safely at Kyrovskoye. It looked quite funny. I am sticking with Open Beta 2.5.6.50321 for the time being. As far as I can say F-22A is OK there.

Kind regards,

 

Mimes

 

"Joined forum in 2004 but flying Flanker since 1995 :o)"

Link to comment
Share on other sites

  • 4 weeks later...

Too sad to see this first hand

 

Hello,

 

It would appear that with the recent open beta releases after 2.5.6.49798 the Flaming Cliffs 3 avaionics that are used by many 3rd party mods are no longer accessible for some reason.

 

If you attempt to fly an aircraft that was using say the F15C.dll avionics you will not be able to enter the sim properly or at best you won't have the correct avionics. I would imagine that this impacts all FC3 type avionics.

 

We don't know if this was intentional or if this was accidental but it does render a lot of work done by the modding community useless for anything other than AI aircraft.

 

A lot of people enjoy using these mods and now our only option is to revert back to the 2.5.6.49798 release of OB or Stable.

 

We would greatly appreciate having this functionality restored.

 

Thank you,

 

Amen to that. Want the functionality restored. Just bought my mig-21bis module today, Module manager in Ver 2.5.6.49798 malfunctioned, did an unistall reistall OB latest, took the whole day, turns out no more mods except if u want them to fly like su25ts. Where is cdpKobra , Hawkeye and RazoR when u need em most. PLEASEE FIX:book:


Edited by DavPAKgriffins

Dav-Pak-BlackSpider

Link to comment
Share on other sites

turns out no more mods except if u want them to fly like su25ts.

or maybe...A4s or MB339 or T45 once its released

so lets keep to the facts here.

'controlling' the Ka50 feels like a discussion with the Autopilot and trim system about the flight direction.

Link to comment
Share on other sites

Most people (including me) bought FC3 because of the mods you could use with it, In some cases these mods were even better externally than the FC3 planes themselves. ED should become more comunity friendly as we pay their wages. in the last 4 months we've seen the Community superbug being downed, as well as the Su35 mod, F22 mod...etc. I can understand they locked the Full Fidelity modules, but Flamming Cliffs... Very bad ED....

Link to comment
Share on other sites

Most people (including me) bought FC3 because of the mods you could use with it, In some cases these mods were even better externally than the FC3 planes themselves. ED should become more comunity friendly as we pay their wages. in the last 4 months we've seen the Community superbug being downed, as well as the Su35 mod, F22 mod...etc. I can understand they locked the Full Fidelity modules, but Flamming Cliffs... Very bad ED....

 

I dont think we are here to criticize ED for blocking something which is their right, to be honest nothing on this whole platform can provide anything like what ED has to offer, just minor tweakings to some official modules needed, mods are just shells, yea sometimes the visual quality is good but its the other stuff which makes them complete, which ED has also been able to provide us with oppurtunity to play with Mods and use data from the software itself for a long time and i feel if it could stay the same way, this beautiful intense software and we community will be much happier.

 

And thanks ED and the community of beautiful people who make the skies look at peace!:pilotfly:

Dav-Pak-BlackSpider

Link to comment
Share on other sites

How do you roll your dcs world version back to one that supports the f-22. The f-22 is the only reason why i used DCS. When I try using the updater to rollback it says the download isnt available...

 

I'm using two installs. The current open beta as one, and a second install of the current stable.

 

The current stable version is 2.5.6.49798 and it supports the F22 and other mods that were dependent on Flaming Cliffs 3 dll files.

 

You can download and install it as the stand alone version and then simply not update it after that.

 

That would be an option if the Open Beta updater won't install the old version for some reason.

 

You could also try to revert Open Beta:

 

"X:\DCS World OpenBeta\bin\DCS_updater.exe" update 2.5.6.49798@openbeta

 

If that doesn't work for you, then Stable should.

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...